# Package org.apache.sling.distribution.journal.impl.subscriber

Interface Summary
IdleCheck

Class Summary
CommandPoller
DistributionSubscriber: A Subscriber SCD agent which consumes messages produced by a `DistributionPublisher` agent.
NoopIdle
SubscriberIdle: A DistributionSubscriber is considered ready when it is idle for more than the READY_IDLE_TIME_SECONDS at least once ; or when it is busy processing the same package for more than MAX_RETRIES times.
SubscriberIdleCheck
SubscriberReadyStore

Exception Summary
PreConditionTimeoutException

Annotation Types Summary
SubscriberConfiguration